%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version:        8.5.0
Release:        8%{?dist}
License:        ASL 2.0
URL:            http://tripleo.org
Source0:        https://tarballs.openstack.org/tripleo-validations/tripleo-validations-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.5.0
Patch0001: 0001-Add-new-SELinux-validation-check.patch
Patch0002: 0002-Set-validation-defaults-to-match-undercloud-default-.patch
Patch0003: 0003-Sync-validations-ceph-dependencies-installed.yaml-wi.patch
Patch0004: 0004-Sync-validations-ceph-ansible-installed.yaml-with-th.patch
Patch0005: 0005-Run-validation-only-if-overcloud-exists.patch
Patch0006: 0006-Use-ansible-lint-3.5.1-for-stable-queens.patch
Patch0007: 0007-QUEENS-ONLY-Update-minimal-disk-space-for-undercloud.patch
Patch0008: 0008-Fix-node-health-validation-with-inventory-changes.patch
Patch0009: 0009-Adds-heat-manage-purge_deleted-cron-job-validation.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
Requires:       ansible >= 2
Requires:       python2-pbr

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python2-heatclient
BuildRequires:  python2-subunit
BuildRequires:  python2-oslotest
BuildRequires:  python2-testrepository
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python2-netaddr
BuildRequires:  os-net-config
BuildRequires:  ansible >= 2
BuildRequires:  openstack-macros

Requires:       python2-subunit
Requires:       python2-oslotest
Requires:       python2-oslo-config >= 2:5.1.0
Requires:       python2-heatclient >= 1.10.0
Requires:       python2-keystoneauth1 >= 3.3.0
Requires:       python2-mistralclient >= 2.0.0
Requires:       python2-novaclient >= 1:9.1.0
Requires:       python2-ironicclient >= 2.2.0
Requires:       python2-six >= 1.10.0
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python2-testrepository
Requires:       python2-testscenarios
Requires:       python2-testtools
Requires:       python2-netaddr
Requires:       os-net-config >= 7.1.0
Requires:       ansible >= 2

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python2-sphinx
BuildRequires:    python2-openstackdocstheme

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{__python2} setup.py build

# docs generation
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx -b html
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_validations
%{python2_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_bindir}/tripleo-ansible-inventory
%exclude %{python2_sitelib}/tripleo_validations/test*

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{python2_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Fri Dec 11 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 8.5.0-8
- Adds heat-manage purge_deleted cron job validation (rhbz#1896825)

* Fri Dec 04 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 8.5.0-7
- Fix node health validation with inventory changes (rhbz#1872517)

* Mon Aug 24 2020 Austin Hyder <ahyder@redhat.com> 8.5.0-6
- [QUEENS-ONLY] Update minimal disk space for undercloud
- Use ansible-lint == 3.5.1 for stable/queens
- Merge "Sync 'validations/ceph-ansible-installed.yaml' with the new role" into rhos-13.0-patches

* Tue Aug 18 2020 Cédric Jeanneret <cjeanner@redhat.com> 8.5.0-5
- Run validation only if overcloud exists.
- Merge "Sync 'validations/ceph-ansible-installed.yaml' with the new role" into rhos-13.0-patches

* Fri Jan 31 2020 Francesco Pantano <fpantano@redhat.com> 8.5.0-4
- Merge "Sync 'validations/ceph-ansible-installed.yaml' with the new role" into rhos-13.0-patches
- Sync 'validations/ceph-ansible-installed.yaml' with the new role (rhbz#1760567)
- Sync 'validations/ceph-dependencies-installed.yaml' with the new role (rhbz#1777336)

* Tue Jan 21 2020 Bob Fournier <bfournie@redhat.com> 8.5.0-3
- Set validation defaults to match undercloud default settings (rhbz#1758353)

* Fri Oct 04 2019 Gael Chamoulaud <gchamoul@redhat.com> 8.5.0-2
- Add new SELinux validation check (rhbz#1758318)

* Thu Oct 03 2019 Steve Linabery <slinaber@redhat.com> 8.5.0-1
- Update to 8.5.0

* Tue Jun 11 2019 Gael Chamoulaud <gchamoul@redhat.com> 8.4.5-2
- Sync 'validations/check-network-gateway.yaml' with the new role (rhbz#1719108)
- Fix check-network-gateway validation (rhbz#1719108)
- Fix ctlplane-ip-range validations (rhbz#1719109)

* Wed Apr 03 2019 Jon Schlueter <jschluet@redhat.com> 8.4.5-1
- Update to 8.4.5 (rhbz#1695845)

* Fri Jan 25 2019 Steve Linabery <slinaber@redhat.com> 8.4.4-2
- Validation for no PMD cores on a NUMA node

* Mon Oct 15 2018 Jon Schlueter <jschluet@redhat.com> 8.4.4-1
- Update to 8.4.4
- Fix node health validation (rhbz#1607132)
- Add validation for checking baremetal boot images (rhbz#1561391)
- Update ceilometerdb-size to support gnocchi and panko (rhbz#1458893)

* Tue Jul 24 2018 Jon Schlueter <jschluet@redhat.com> 8.4.2-1
- Update to 8.4.2
- Fail if the Overcloud inventory is empty (rhbz#1580547)

* Wed May 09 2018 Carlos Camacho <ccamacho@redhat.com> 8.4.1-5
- Use clean keystone URL in the keystone validation (rhbz#1569751)

* Mon May 07 2018 Carlos Camacho <ccamacho@redhat.com> 8.4.1-4
- Validate that there should not be XFS volumes with ftype=0 (rhbz#1564671)

* Wed May 02 2018 Bob Fournier <bfournie@redhat.com> 8.4.1-3
- Fix Switch VLANs validation (rhbz#1554248)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.4.1-1
- Update to 8.4.1

* Thu Apr 12 2018 Jon Schlueter <jschluet@redhat.com> 8.4.0-2
- Fix overcloud services connectivity validation (rhbz#1561391)

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 8.4.0-1
- Update to 8.4.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.3.0-1
- Update to 8.3.0

